tgamma.c File Reference
`#include "ruby/config.h"`
`#include <math.h>`
`#include <errno.h>`

Go to the source code of this file.

## Macros

#define | PI 3.14159265358979324 /* $\pi$ */
#define | LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */
#define | N 8
#define | B0 1 /* Bernoulli numbers */
#define | B1 (-1.0 / 2.0)
#define | B2 ( 1.0 / 6.0)
#define | B4 (-1.0 / 30.0)
#define | B6 ( 1.0 / 42.0)
#define | B8 (-1.0 / 30.0)
#define | B10 ( 5.0 / 66.0)
#define | B12 (-691.0 / 2730.0)
#define | B14 ( 7.0 / 6.0)
#define | B16 (-3617.0 / 510.0)

## Functions

static double | loggamma (double x)
double | tgamma (double x)

## Macro Definition Documentation

#define B0 1 /* Bernoulli numbers */

Definition at line 46 of file tgamma.c.

#define B1 (-1.0 / 2.0)

Definition at line 47 of file tgamma.c.

#define B10 ( 5.0 / 66.0)

Definition at line 52 of file tgamma.c.

Referenced by loggamma().

#define B12 (-691.0 / 2730.0)

Definition at line 53 of file tgamma.c.

Referenced by loggamma().

#define B14 ( 7.0 / 6.0)

Definition at line 54 of file tgamma.c.

Referenced by loggamma().

#define B16 (-3617.0 / 510.0)

Definition at line 55 of file tgamma.c.

Referenced by loggamma().

#define B2 ( 1.0 / 6.0)

Definition at line 48 of file tgamma.c.

Referenced by loggamma().

#define B4 (-1.0 / 30.0)

Definition at line 49 of file tgamma.c.

Referenced by loggamma().

#define B6 ( 1.0 / 42.0)

Definition at line 50 of file tgamma.c.

Referenced by loggamma().

#define B8 (-1.0 / 30.0)

Definition at line 51 of file tgamma.c.

Referenced by loggamma().

#define LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */

Definition at line 43 of file tgamma.c.

Referenced by loggamma().

#define N 8

Definition at line 44 of file tgamma.c.

Referenced by loggamma().

#define PI 3.14159265358979324 /* $\pi$ */

Definition at line 42 of file tgamma.c.

Referenced by tgamma().

## Function Documentation

static double loggamma | ( | double | x | ) |

static

Definition at line 58 of file tgamma.c.

References B10, B12, B14, B16, B2, B4, B6, B8, LOG_2PI, N, and v.

Referenced by tgamma().

double tgamma | ( | double | x | ) |

Definition at line 72 of file tgamma.c.

References errno, i, loggamma(), PI, and zero().

Referenced by math_gamma().